## python-pylxd 0.18

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

pbr<2.0,>=1.6
Babel>=1.3
python-dateutil>=2.4.2
six>=1.9.0

=== debian/changelog ===
python-pylxd (0.18-0ubuntu1) wily; urgency=medium

  [ James Page ]
  * d/rules: Add helper for generating snapshots.
  * Drop all patches.

  [ Chuck Short ]
  * New upstream release. (LP: #1501974)

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 01 Oct 2015 21:33:50 -0400

python-pylxd (0.17-0ubuntu3) wily; urgency=medium

  * d/p/fix-image-upload.patch: Cherry pick fix to ensure that return
    data from LXD is passed back on image_upload API calls.
  * d/control: Tidy and ensure minimum versions are present for
    Dependencies.
  * d/rules: Make unit testing nice a verbose.
  * d/copyright,watch: Tidy.
  * d/control: Tidy package description.

 -- James Page <james.page@ubuntu.com>  Wed, 23 Sep 2015 10:43:14 +0100

python-pylxd (0.17-0ubuntu2) wily; urgency=medium

  * debian/patches/fix-container-state.patch: Fix container state
    being displayed.

 -- Chuck Short <zulcss@ubuntu.com>  Tue, 22 Sep 2015 17:06:50 -0400

python-pylxd (0.17-0ubuntu1) wily; urgency=medium

  * New upstrema release. (LP: #1498508)
  * debian/patches/fix-unit-tests.patch: Dropped no longer needed. 
  * debian/rules: Enabled testsuite.

 -- Chuck Short <zulcss@ubuntu.com>  Tue, 22 Sep 2015 09:38:00 -0400

python-pylxd (0.16.0-0ubuntu2) wily; urgency=medium

  *  debian/patches/fix-unit-tests.patch: Fix unit tests.

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 20 Aug 2015 18:56:58 -0400

python-pylxd (0.16.0-0ubuntu1) wily; urgency=medium

  * New upstream release. 

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 20 Aug 2015 14:57:05 -0400

python-pylxd (0.13.0-0ubuntu1) wily; urgency=low

  * Initial release.

 -- Chuck Short <zulcss@ubuntu.com>  Mon, 20 Jul 2015 12:52:42 -0400

=== debian/control ===
Source: python-pylxd
Section: python
Priority: extra
Maintainer: Chuck Short <zulcss@ubuntu.com>
Build-Depends: debhelper (>= 9~),
               dh-python,
               openstack-pkg-tools (>= 23~),
               python-all,
               python-setuptools,
               python-sphinx,
Build-Depends-Indep: python-babel (>= 1.3),
                     python-coverage (>= 3.6),
                     python-dateutil (>= 2.2),
                     python-ddt (>= 0.7.0),
                     python-hacking (>= 0.10.0),
                     python-oslosphinx (>= 2.5.0),
                     python-oslotest (>= 1:1.10.0),
                     python-pbr (>= 1.6),
                     python-six (>= 1.9.0),
                     python-os-testr,
Standards-Version: 3.9.6
Homepage: http://pypi.python.org/pypi/pylxd

Package: python-pylxd
Architecture: all
Depends: python-babel (>= 1.3),
         python-dateutil (>= 2.2),
         python-pbr (>= 1.6),
         python-six (>= 1.9.0),
         ${misc:Depends},
         ${python:Depends},
Description: Python library for interacting with LXD REST API
 LXD offers a REST API to remotely manage containers over the network,
 using an image based workflow and with support for live migration.
 .
 pylxd is a small Python library for interacting the with the
 LXD REST API.
 .
 This package contains the Python 2 module.

=== debian/rules ===
#!/usr/bin/make -f
#DH_VERBOSE = 1

%:
	dh $@ --with python2

export OSLO_PACKAGE_VERSION=0.17.1

override_dh_auto_clean:
	dh_auto_clean
	rm -rf .testrepository

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
override_dh_auto_test:
	ostestr
endif

BRANCH = master
DATE=$(shell date +%Y%m%d%H%M)
get-orig-snapshot:
	rm -Rf pylxd-upstream
	git clone https://github.com/lxc/pylxd pylxd-upstream
	cd pylxd-upstream && \
		export COMMIT=`git rev-parse --short HEAD` && \
		export UPSTREAM_VERSION=`grep version setup.cfg | cut -d ' ' -f 3` && \
		 git archive --format tgz --prefix=python-pylxd-$$UPSTREAM_VERSION~git$(DATE)/ \
			-o ../../python-pylxd_$$UPSTREAM_VERSION~git$(DATE).$$COMMIT.orig.tar.gz $(BRANCH)
	rm -Rf pylxd-upstream

## python-pylxd 2.0.0~b1

=== debian/changelog ===
python-pylxd (2.0.0~b1-2) unstable; urgency=medium

  * Fix debian/pydist3-overrides -> debian/py3dist-overrides

 -- Thomas Goirand <zigo@debian.org>  Tue, 08 Mar 2016 10:25:22 +0000

python-pylxd (2.0.0~b1-1) unstable; urgency=medium

  * Initial packaging (Closes: #817120).

 -- Thomas Goirand <zigo@debian.org>  Mon, 07 Mar 2016 23:08:02 +0800

=== debian/control ===
Source: python-pylxd
Section: python
Priority: extra
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>,
Build-Depends: debhelper (>= 9),
               dh-python,
               openstack-pkg-tools (>= 23~),
               python-all,
               python-pbr (>= 1.8),
               python-setuptools,
               python-sphinx,
               python3-all,
               python3-pbr (>= 1.8),
               python3-setuptools,
Build-Depends-Indep: python-babel,
                     python-coverage,
                     python-dateutil (>= 2.2),
                     python-ddt (>= 0.7.0),
                     python-hacking (>= 0.10.0),
                     python-mock (>= 1.3),
                     python-nose (>= 1.3.7),
                     python-openssl,
                     python-os-testr,
                     python-oslosphinx (>= 2.5.0),
                     python-oslotest (>= 1:1.10.0),
                     python-requests (>= 2.5.2),
                     python-requests-unixsocket,
                     python-six (>= 1.9.0),
                     python3-babel (>= 1.3),
                     python3-coverage,
                     python3-dateutil (>= 2.2),
                     python3-ddt (>= 0.7.0),
                     python3-hacking (>= 0.10.0),
                     python3-mock (>= 1.3),
                     python3-nose (>= 1.3.7),
                     python3-openssl,
                     python3-os-testr,
                     python3-oslotest (>= 1:1.10.0),
                     python3-requests (>= 2.5.2),
                     python3-requests-unixsocket,
                     python3-six (>= 1.9.0),
Standards-Version: 3.9.7
Vcs-Browser: https://anonscm.debian.org/gitweb/?p=openstack/python-pylxd.git
Vcs-Git: https://anonscm.debian.org/git/openstack/python-pylxd.git
Homepage: https://github.com/lxd/pylxd

Package: python-pylxd
Architecture: all
Depends: python-babel,
         python-dateutil (>= 2.2),
         python-openssl,
         python-pbr (>= 1.8),
         python-requests (>= 2.5.2),
         python-requests-unixsocket,
         python-six (>= 1.9.0),
         ${misc:Depends},
         ${python:Depends},
Description: Python library for interacting with LXD REST API - Python 2.7
 LXD offers a REST API to remotely manage containers over the network, using an
 image based workflow and with support for live migration.
 .
 pylxd is a small Python library for interacting the with the LXD REST API.
 .
 This package contains the Python 2.7 module.

Package: python3-pylxd
Architecture: all
Depends: python3-babel,
         python3-dateutil (>= 2.2),
         python3-openssl,
         python3-pbr (>= 1.8),
         python3-requests (>= 2.5.2),
         python3-requests-unixsocket,
         python3-six (>= 1.9.0),
         ${misc:Depends},
         ${python3:Depends},
Description: Python library for interacting with LXD REST API - Python 3.x
 LXD offers a REST API to remotely manage containers over the network, using an
 image based workflow and with support for live migration.
 .
 pylxd is a small Python library for interacting the with the LXD REST API.
 .
 This package contains the Python 3.x module.

Package: python-pylxd-doc
Section: doc
Architecture: all
Depends: ${misc:Depends},
         ${sphinxdoc:Depends},
Description: Python library for interacting with LXD REST API - doc
 LXD offers a REST API to remotely manage containers over the network,
 using an image based workflow and with support for live migration.
 .
 pylxd is a small Python library for interacting the with the
 LXD REST API.
 .
 This package provides the documentation.

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/pylxd/pylxd-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-pylxd 2.0.0

=== requirements.txt ===
pbr>=1.6
python-dateutil>=2.4.2
six>=1.9.0
ws4py>=0.3.4
requests!=2.8.0,>=2.5.2
requests-unixsocket==0.1.4

=== debian/changelog ===
python-pylxd (2.0.0-0ubuntu1) xenial; urgency=medium

  * New upstream release.

 -- Chuck Short <zulcss@ubuntu.com>  Mon, 11 Apr 2016 20:53:34 -0400

python-pylxd (2.0.0~b2-0ubuntu1) xenial; urgency=medium

  * New upstream release (LP: #):
    - debian/control: Clean up build dependencies.
    - debian/rules: Enable tests for python3.

 -- Chuck Short <zulcss@ubuntu.com>  Mon, 07 Mar 2016 12:40:44 -0500

python-pylxd (2.0.0~b1-0ubuntu2) xenial; urgency=medium

  * debian/pydist{3}-overrides: Dont install python-ws4py.
  * debian/rules: Enable tests

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 03 Mar 2016 18:24:17 -0500

python-pylxd (2.0.0~b1-0ubuntu1) xenial; urgency=medium

  * New upstream version. 
  * debian/patches/01-support-newer-python.patch: Dropped no longer 
    needed.

 -- Chuck Short <zulcss@ubuntu.com>  Wed, 17 Feb 2016 15:00:51 -0500

python-pylxd (0.19.0-0ubuntu2) xenial; urgency=medium

  * Patch from upstream to support python >= 3.4.

 -- Sergio Schvezov <sergio.schvezov@canonical.com>  Wed, 03 Feb 2016 16:51:04 -0300

python-pylxd (0.19.0-0ubuntu1) xenial; urgency=medium

  * New upstream release.
  * debian/patches/fix-tlsv12-detection.patch: Dropped no longer
    needed.
  * debian/control: Add dependency for python-ws4py and python3-ws4py.

 -- Chuck Short <zulcss@ubuntu.com>  Fri, 11 Dec 2015 11:28:23 -0500

python-pylxd (0.18-0ubuntu4) xenial; urgency=medium

  * d/control: Set minimum version on python{3}-openssl to ease
    backports (LP: #1524304).

 -- James Page <james.page@ubuntu.com>  Wed, 09 Dec 2015 11:43:37 +0000

python-pylxd (0.18-0ubuntu3) xenial; urgency=medium

  * Add support for Python 3.
  * Add -doc package, generate documentation.

 -- James Page <james.page@ubuntu.com>  Tue, 01 Dec 2015 10:15:10 +0000

python-pylxd (0.18-0ubuntu2) xenial; urgency=medium

  * debian/control: Add python-openssl as a dependency.
  * debian/patches/fix-tlsv12-detection.patch (LP: #1517975)

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 19 Nov 2015 11:40:31 -0500

=== debian/control ===
Source: python-pylxd
Section: python
Priority: extra
Maintainer: Chuck Short <zulcss@ubuntu.com>
Build-Depends: debhelper (>= 9~),
               dh-python,
               openstack-pkg-tools (>= 23~),
               python-all,
               python-setuptools,
               python-sphinx,
               python3-all,
               python3-setuptools,
Build-Depends-Indep: python-babel (>= 1.3),
                     python-coverage (>= 3.6),
                     python-dateutil (>= 2.2),
                     python-ddt (>= 0.7.0),
                     python-hacking (>= 0.10.0),
                     python-oslosphinx (>= 2.5.0),
                     python-oslotest (>= 1:1.10.0),
                     python-pbr (>= 1.6),
                     python-six (>= 1.9.0),
                     python-requests,
                     python-openssl (>= 0.13.1),
                     python-nose,
                     python-requests-unixsocket,
                     python3-babel (>= 1.3),
                     python3-coverage (>= 3.6),
                     python3-dateutil (>= 2.2),
                     python3-ddt (>= 0.7.0),
                     python3-hacking (>= 0.10.0),
                     python3-oslotest (>= 1:1.10.0),
                     python3-pbr (>= 1.6),
                     python3-six (>= 1.9.0),
                     python3-openssl (>= 0.13.1),
                     python3-requests,
                     python3-requests-unixsocket,
                     python3-nose,
Standards-Version: 3.9.6
Homepage: http://pypi.python.org/pypi/pylxd

Package: python-pylxd
Architecture: all
Depends: python-babel (>= 1.3),
         python-dateutil (>= 2.2),
         python-pbr (>= 1.6),
         python-six (>= 1.9.0),
         python-openssl (>= 0.13.1),
         python-requests-unixsocket,
         ${misc:Depends},
         ${python:Depends},
Description: Python library for interacting with LXD REST API
 LXD offers a REST API to remotely manage containers over the network,
 using an image based workflow and with support for live migration.
 .
 pylxd is a small Python library for interacting the with the
 LXD REST API.
 .
 This package contains the Python 2 module.

Package: python3-pylxd
Architecture: all
Depends: python3-babel (>= 1.3),
         python3-dateutil (>= 2.2),
         python3-pbr (>= 1.6),
         python3-six (>= 1.9.0),
         python3-openssl (>= 0.13.1),
         ${misc:Depends},
         ${python3:Depends},
Description: Python library for interacting with LXD REST API
 LXD offers a REST API to remotely manage containers over the network,
 using an image based workflow and with support for live migration.
 .
 pylxd is a small Python library for interacting the with the
 LXD REST API.
 .
 This package contains the Python 3 module.

Package: python-pylxd-doc
Section: doc
Architecture: all
Depends: ${misc:Depends},
         ${sphinxdoc:Depends},
Description: Python library for interacting with LXD REST API - doc
 LXD offers a REST API to remotely manage containers over the network,
 using an image based workflow and with support for live migration.
 .
 pylxd is a small Python library for interacting the with the
 LXD REST API.
 .
 This package provides the documentation.

## python-pylxd 2.0.7

=== requirements.txt ===
pbr>=1.6
python-dateutil>=2.4.2
six>=1.9.0
ws4py!=0.3.5,>=0.3.4  # 0.3.5 is broken for websocket support
requests!=2.8.0,>=2.5.2
requests-unixsocket>=0.1.5
cryptography>=1.4
pyOpenSSL>=0.14;python_version<='2.7.8'

=== debian/changelog ===
python-pylxd (2.0.7-0ubuntu1) xenial; urgency=medium

  * New upstream point release (LP: #1754657).
  * d/control: Align (Build-)Depends with upstream.
  * d/p/cryptography-min-version.patch: Rebased.
  * d/p/ignore-unsupported-attributes.patch: Dropped. Included in
    upstream release.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 09 Mar 2018 08:33:06 -0500

python-pylxd (2.0.5-0ubuntu1.2) xenial; urgency=medium

  * d/p/ignore-unsupported-attributes.patch: Backport patch from 2.2.4 to
    make models resilient to new attributes in LXD (LP: #1736454).

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 05 Dec 2017 14:53:11 +0000

python-pylxd (2.0.5-0ubuntu1.1) xenial; urgency=medium

  * d/control, d/p/cryptography-min-version.patch: Align min python-cryptograpy
    version with xenial (LP: #1633570).

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 14 Oct 2016 13:38:03 -0400

python-pylxd (2.0.5-0ubuntu1) xenial; urgency=medium

  * d/gbp.conf: Added to enable maintenance with git buildpackage.
  * d/control: Add Vcs-Browser and Vcs-Git URLs.
  * New upstream release (LP: #1623107).
  * d/p/fix-install.patch: Rebased.
  * d/p/skip-wsp4y.patch: Rebased.
  * d/control: Add python(3)-mock-services to BDs.
  * d/p/skip-ws4py-tests.patch: Skip deprecated WebSocketClient tests.
  * d/python-pylxd-doc.docs: Update to handle README name change.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 19 Sep 2016 13:18:44 -0400

=== debian/control ===
--- 
+++ 
@@ -17,10 +17,11 @@
                      python-hacking (>= 0.10.0),
                      python-oslosphinx (>= 2.5.0),
                      python-oslotest (>= 1:1.10.0),
+                     python-mock-services,
                      python-pbr (>= 1.6),
                      python-six (>= 1.9.0),
                      python-requests,
-                     python-openssl (>= 0.13.1),
+                     python-openssl (>= 0.14),
                      python-nose,
                      python-requests-unixsocket,
                      python3-babel (>= 1.3),
@@ -28,23 +29,27 @@
                      python3-dateutil (>= 2.2),
                      python3-ddt (>= 0.7.0),
                      python3-hacking (>= 0.10.0),
+                     python3-mock-services,
                      python3-oslotest (>= 1:1.10.0),
                      python3-pbr (>= 1.6),
                      python3-six (>= 1.9.0),
-                     python3-openssl (>= 0.13.1),
+                     python3-openssl (>= 0.14),
                      python3-requests,
                      python3-requests-unixsocket,
                      python3-nose,
 Standards-Version: 3.9.6
 Homepage: http://pypi.python.org/pypi/pylxd
+Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-pylxd
+Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-pylxd
 
 Package: python-pylxd
 Architecture: all
 Depends: python-babel (>= 1.3),
+         python-cryptography (>= 1.2.3),
          python-dateutil (>= 2.2),
          python-pbr (>= 1.6),
          python-six (>= 1.9.0),
-         python-openssl (>= 0.13.1),
+         python-openssl (>= 0.14),
          python-requests-unixsocket,
          ${misc:Depends},
          ${python:Depends},
@@ -60,10 +65,12 @@
 Package: python3-pylxd
 Architecture: all
 Depends: python3-babel (>= 1.3),
+         python3-cryptography (>= 1.2.3),
          python3-dateutil (>= 2.2),
          python3-pbr (>= 1.6),
          python3-six (>= 1.9.0),
-         python3-openssl (>= 0.13.1),
+         python3-openssl (>= 0.14),
+         python3-requests-unixsocket,
          ${misc:Depends},
          ${python3:Depends},
 Description: Python library for interacting with LXD REST API

## python-pylxd 2.1.1

=== requirements.txt ===
--- 
+++ 
@@ -5,4 +5,3 @@
 requests!=2.8.0,>=2.5.2
 requests-unixsocket>=0.1.5
 cryptography>=1.4
-pyOpenSSL>=0.14;python_version<='2.7.8'

=== debian/changelog ===
python-pylxd (2.1.1-0ubuntu1~cloud0.1) xenial; urgency=medium

  * d/p/ignore-unsupported-attributes.patch: Backport patch from 2.2.4 to
    make models resilient to new attributes in LXD (LP: #1736454).

 -- James Page <james.page@ubuntu.com>  Thu, 07 Dec 2017 11:18:56 +0000

python-pylxd (2.1.1-0ubuntu1~cloud0) xenial-newton; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Thu, 29 Sep 2016 21:12:27 +0000

python-pylxd (2.1.1-0ubuntu1) yakkety; urgency=medium

  * New upstream version.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 29 Sep 2016 11:47:41 -0400

python-pylxd (2.1.0-0ubuntu1) yakkety; urgency=medium

  * New upstream release.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 13 Sep 2016 19:22:50 -0700

python-pylxd (2.0.4-0ubuntu1) yakkety; urgency=medium

  * d/gbp.conf: Added to enable maintenance with git buildpackage.
  * d/control: Add Vcs-Browser and Vcs-Git URLs.
  * New upstream release.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 07 Sep 2016 14:45:47 -0400

python-pylxd (2.0.3-0ubuntu1) yakkety; urgency=medium

  * New upstream release.

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 07 Jul 2016 12:57:07 -0400

python-pylxd (2.0.2-0ubuntu2) yakkety; urgency=medium

  * debian/python-pylxd-doc.docs: Fix path to README to fix FTBFS.
    (LP: #1595818)

 -- Logan Rosen <logan@ubuntu.com>  Fri, 24 Jun 2016 01:15:28 -0400

python-pylxd (2.0.2-0ubuntu1) yakkety; urgency=medium

  * New upstream release:
    + debian/control: 
      - Add python-ws4py as a depdendency.
      - Add python-mock-services as a dependency.
    + debian/patches/skip-wsp4y.patch: Removed no longer needed.

 -- Chuck Short <zulcss@ubuntu.com>  Wed, 08 Jun 2016 08:56:04 -0400

=== debian/control ===
--- 
+++ 
@@ -17,26 +17,28 @@
                      python-hacking (>= 0.10.0),
                      python-oslosphinx (>= 2.5.0),
                      python-oslotest (>= 1:1.10.0),
-                     python-mock-services,
                      python-pbr (>= 1.6),
                      python-six (>= 1.9.0),
                      python-requests,
-                     python-openssl (>= 0.14),
+                     python-openssl (>= 0.13.1),
                      python-nose,
+                     python-mock-services,
                      python-requests-unixsocket,
+                     python-ws4py,
                      python3-babel (>= 1.3),
                      python3-coverage (>= 3.6),
                      python3-dateutil (>= 2.2),
                      python3-ddt (>= 0.7.0),
                      python3-hacking (>= 0.10.0),
-                     python3-mock-services,
                      python3-oslotest (>= 1:1.10.0),
                      python3-pbr (>= 1.6),
                      python3-six (>= 1.9.0),
-                     python3-openssl (>= 0.14),
+                     python3-openssl (>= 0.13.1),
                      python3-requests,
                      python3-requests-unixsocket,
                      python3-nose,
+                     python3-ws4py,
+                     python3-mock-services
 Standards-Version: 3.9.6
 Homepage: http://pypi.python.org/pypi/pylxd
 Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-pylxd
@@ -45,12 +47,12 @@
 Package: python-pylxd
 Architecture: all
 Depends: python-babel (>= 1.3),
-         python-cryptography (>= 1.2.3),
          python-dateutil (>= 2.2),
          python-pbr (>= 1.6),
          python-six (>= 1.9.0),
-         python-openssl (>= 0.14),
+         python-openssl (>= 0.13.1),
          python-requests-unixsocket,
+         python-ws4py,
          ${misc:Depends},
          ${python:Depends},
 Description: Python library for interacting with LXD REST API
@@ -65,12 +67,11 @@
 Package: python3-pylxd
 Architecture: all
 Depends: python3-babel (>= 1.3),
-         python3-cryptography (>= 1.2.3),
          python3-dateutil (>= 2.2),
          python3-pbr (>= 1.6),
          python3-six (>= 1.9.0),
-         python3-openssl (>= 0.14),
-         python3-requests-unixsocket,
+         python3-openssl (>= 0.13.1),
+         python3-ws4py,
          ${misc:Depends},
          ${python3:Depends},
 Description: Python library for interacting with LXD REST API

=== debian/rules ===
--- 
+++ 
@@ -1,19 +1,27 @@
 #!/usr/bin/make -f
-#DH_VERBOSE = 1
 
 %:
-	dh $@ --with python2
+	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild
 
-export OSLO_PACKAGE_VERSION=0.17.1
+export OSLO_PACKAGE_VERSION=0.18.0
+
+PYTHONS := $(shell pyversions -vr)
+PYTHON3S :=  $(shell py3versions -vr)
 
 override_dh_auto_clean:
 	dh_auto_clean
 	rm -rf .testrepository
 
-ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
+override_dh_sphinxdoc:
+ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
+	PYTHONPATH=$(CURDIR) sphinx-build $(SPHINXOPTS) -b html doc/source $(CURDIR)/debian/python-pylxd-doc/usr/share/doc/python-pylxd-doc/html
+	dh_sphinxdoc -O--buildsystem=pybuild
+endif
+
 override_dh_auto_test:
-	ostestr
-endif
+	nosetests pylxd
+	nosetests3 pylxd
+
 
 BRANCH = master
 DATE=$(shell date +%Y%m%d%H%M)

## python-pylxd 2.2.3

=== requirements.txt ===
pbr>=1.6
python-dateutil>=2.4.2
six>=1.9.0
ws4py!=0.3.5,>=0.3.4  # 0.3.5 is broken for websocket support
requests!=2.8.0,!=2.12.0,!=2.12.1,>=2.5.2
requests-unixsocket>=0.1.5
cryptography!=1.3.0,>=1.0
pyOpenSSL>=0.14;python_version<='2.7.8'

=== debian/changelog ===
python-pylxd (2.2.3-0ubuntu1) zesty; urgency=medium

  * New upstream release.

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 09 Mar 2017 09:19:19 -0500

python-pylxd (2.2.2-0ubuntu1) zesty; urgency=medium

  * new upstream release. 

 -- Chuck Short <zulcss@ubuntu.com>  Tue, 31 Jan 2017 09:25:09 -0500

## python-pylxd 2.2.4

=== debian/changelog ===
python-pylxd (2.2.4-0ubuntu1) artful; urgency=medium

  * New upstream point release.

 -- James Page <james.page@ubuntu.com>  Wed, 30 Aug 2017 15:26:14 +0100

python-pylxd (2.2.3-0ubuntu2) artful; urgency=medium

  * d/rules: Drop OSLO_VERSION override use (LP: #1689701).

 -- James Page <james.page@ubuntu.com>  Wed, 10 May 2017 15:12:28 -0400

## python-pylxd 2.2.6

=== requirements.txt ===
--- 
+++ 
@@ -4,5 +4,6 @@
 ws4py!=0.3.5,>=0.3.4  # 0.3.5 is broken for websocket support
 requests!=2.8.0,!=2.12.0,!=2.12.1,>=2.5.2
 requests-unixsocket>=0.1.5
+requests-toolbelt>=0.8.0
 cryptography!=1.3.0,>=1.0
 pyOpenSSL>=0.14;python_version<='2.7.8'

=== debian/changelog ===
python-pylxd (2.2.6-0ubuntu1.1) bionic; urgency=medium

  * d/gbp.conf: Create stable/queens branch.
  * d/control: Add python(3)-requests-toolbelt to python(3)-pylxd Depends
    and python3-requests-unixsocket to python3-pylxd Depends. Also set min
    version of toolbelt globally (LP: #1775238).

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 05 Jun 2018 14:42:23 -0400

python-pylxd (2.2.6-0ubuntu1) bionic; urgency=medium

  * New upstream point release.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 09 Mar 2018 08:26:06 -0500

python-pylxd (2.2.5-0ubuntu1) bionic; urgency=medium

  * New upstream point release.
  * d/control: Switch to using python3-sphinx.
  * d/control: Bumped Standards-Version to 4.1.3, no changes.
  * d/control,compat: Bump debhelper compat level to 10.
  * d/*: wrap-and-sort -bast.
  * d/control: Switch to section optional.
  * d/control: Set minimum version of mock-services for compatibility
    with newer requests-mock.
  * d/rules: tidy.

 -- James Page <james.page@ubuntu.com>  Wed, 21 Feb 2018 11:09:10 +0000

=== debian/control ===
Source: python-pylxd
Section: python
Priority: optional
Maintainer: Chuck Short <zulcss@ubuntu.com>
Build-Depends:
 debhelper (>= 10~),
 dh-python,
 openstack-pkg-tools (>= 23~),
 python-all,
 python-setuptools,
 python3-all,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 python-babel (>= 1.3),
 python-coverage (>= 3.6),
 python-dateutil (>= 2.2),
 python-ddt (>= 0.7.0),
 python-hacking (>= 0.10.0),
 python-mock-services (>= 0.3-0ubuntu1~),
 python-nose,
 python-openssl (>= 0.13.1),
 python-oslosphinx (>= 2.5.0),
 python-oslotest (>= 1:1.10.0),
 python-pbr (>= 1.6),
 python-requests,
 python-requests-toolbelt (>= 0.8.0),
 python-requests-unixsocket,
 python-six (>= 1.9.0),
 python-ws4py,
 python3-babel (>= 1.3),
 python3-coverage (>= 3.6),
 python3-dateutil (>= 2.2),
 python3-ddt (>= 0.7.0),
 python3-hacking (>= 0.10.0),
 python3-mock-services (>= 0.3-0ubuntu1~),
 python3-nose,
 python3-openssl (>= 0.13.1),
 python3-oslotest (>= 1:1.10.0),
 python3-pbr (>= 1.6),
 python3-requests,
 python3-requests-toolbelt (>= 0.8.0),
 python3-requests-unixsocket,
 python3-six (>= 1.9.0),
 python3-ws4py,
Standards-Version: 4.1.3
Homepage: http://pypi.python.org/pypi/pylxd
Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-pylxd
Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-pylxd

Package: python-pylxd
Architecture: all
Depends:
 python-babel (>= 1.3),
 python-dateutil (>= 2.2),
 python-openssl (>= 0.13.1),
 python-pbr (>= 1.6),
 python-requests-toolbelt (>= 0.8.0),
 python-requests-unixsocket,
 python-six (>= 1.9.0),
 python-ws4py,
 ${misc:Depends},
 ${python:Depends},
Description: Python library for interacting with LXD REST API
 LXD offers a REST API to remotely manage containers over the network,
 using an image based workflow and with support for live migration.
 .
 pylxd is a small Python library for interacting the with the
 LXD REST API.
 .
 This package contains the Python 2 module.

Package: python-pylxd-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: Python library for interacting with LXD REST API - doc
 LXD offers a REST API to remotely manage containers over the network,
 using an image based workflow and with support for live migration.
 .
 pylxd is a small Python library for interacting the with the
 LXD REST API.
 .
 This package provides the documentation.

Package: python3-pylxd
Architecture: all
Depends:
 python3-babel (>= 1.3),
 python3-dateutil (>= 2.2),
 python3-openssl (>= 0.13.1),
 python3-pbr (>= 1.6),
 python3-requests-toolbelt (>= 0.8.0),
 python3-requests-unixsocket,
 python3-six (>= 1.9.0),
 python3-ws4py,
 ${misc:Depends},
 ${python3:Depends},
Description: Python library for interacting with LXD REST API
 LXD offers a REST API to remotely manage containers over the network,
 using an image based workflow and with support for live migration.
 .
 pylxd is a small Python library for interacting the with the
 LXD REST API.
 .
 This package contains the Python 3 module.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild

override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=$(CURDIR) sphinx-build $(SPHINXOPTS) -b html doc/source $(CURDIR)/debian/python-pylxd-doc/usr/share/doc/python-pylxd-doc/html
	dh_sphinxdoc -O--buildsystem=pybuild
endif

override_dh_auto_test:
	nosetests pylxd
	nosetests3 pylxd

## python-pylxd 2.2.7

=== debian/changelog ===
python-pylxd (2.2.7-0ubuntu1) cosmic; urgency=medium

  * New upstream point release.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/fix-install.patch: Dropped. Fixed upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 06 Aug 2018 15:32:46 -0400

python-pylxd (2.2.6-0ubuntu3) cosmic; urgency=medium

  * d/control: Add python3-requests-unixsocket to python3-pylxd Depends.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 06 Jun 2018 10:49:06 -0400

python-pylxd (2.2.6-0ubuntu2) cosmic; urgency=medium

  * d/control: Add python(3)-requests-toolbelt to python(3)-pylxd Depends
    and set min version globally (LP: #1775238).

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 05 Jun 2018 14:33:05 -0400

=== debian/control ===
--- 
+++ 
@@ -13,36 +13,38 @@
  python3-sphinx,
 Build-Depends-Indep:
  python-babel (>= 1.3),
- python-coverage (>= 3.6),
- python-dateutil (>= 2.2),
+ python-coverage (>= 4.1),
+ python-cryptography (>= 1.0),
+ python-dateutil (>= 2.4.2),
  python-ddt (>= 0.7.0),
  python-hacking (>= 0.10.0),
  python-mock-services (>= 0.3-0ubuntu1~),
- python-nose,
- python-openssl (>= 0.13.1),
+ python-nose (>= 1.3.7),
+ python-openssl (>= 0.14),
  python-oslosphinx (>= 2.5.0),
  python-oslotest (>= 1:1.10.0),
  python-pbr (>= 1.6),
- python-requests,
+ python-requests (>= 2.5.2),
  python-requests-toolbelt (>= 0.8.0),
- python-requests-unixsocket,
+ python-requests-unixsocket (>= 0.1.5),
  python-six (>= 1.9.0),
- python-ws4py,
+ python-ws4py (>= 0.3.4),
  python3-babel (>= 1.3),
- python3-coverage (>= 3.6),
- python3-dateutil (>= 2.2),
+ python3-coverage (>= 4.1),
+ python3-cryptography (>= 1.0),
+ python3-dateutil (>= 2.4.2),
  python3-ddt (>= 0.7.0),
  python3-hacking (>= 0.10.0),
  python3-mock-services (>= 0.3-0ubuntu1~),
- python3-nose,
- python3-openssl (>= 0.13.1),
+ python3-nose (>= 1.3.7),
+ python3-openssl (>= 0.14),
  python3-oslotest (>= 1:1.10.0),
  python3-pbr (>= 1.6),
- python3-requests,
+ python3-requests (>= 2.5.2),
  python3-requests-toolbelt (>= 0.8.0),
- python3-requests-unixsocket,
+ python3-requests-unixsocket (>= 0.1.5),
  python3-six (>= 1.9.0),
- python3-ws4py,
+ python3-ws4py (>= 0.3.4),
 Standards-Version: 4.1.3
 Homepage: http://pypi.python.org/pypi/pylxd
 Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-pylxd
@@ -52,13 +54,15 @@
 Architecture: all
 Depends:
  python-babel (>= 1.3),
- python-dateutil (>= 2.2),
- python-openssl (>= 0.13.1),
+ python-cryptography (>= 1.0),
+ python-dateutil (>= 2.4.2),
+ python-openssl (>= 0.14),
  python-pbr (>= 1.6),
+ python-requests (>= 2.5.2),
  python-requests-toolbelt (>= 0.8.0),
- python-requests-unixsocket,
+ python-requests-unixsocket (>= 0.1.5),
  python-six (>= 1.9.0),
- python-ws4py,
+ python-ws4py (>= 0.3.4),
  ${misc:Depends},
  ${python:Depends},
 Description: Python library for interacting with LXD REST API
@@ -89,13 +93,15 @@
 Architecture: all
 Depends:
  python3-babel (>= 1.3),
- python3-dateutil (>= 2.2),
- python3-openssl (>= 0.13.1),
+ python3-cryptography (>= 1.0),
+ python3-dateutil (>= 2.4.2),
+ python3-openssl (>= 0.14),
  python3-pbr (>= 1.6),
+ python3-requests (>= 2.5.2),
  python3-requests-toolbelt (>= 0.8.0),
- python3-requests-unixsocket,
+ python3-requests-unixsocket (>= 0.1.5),
  python3-six (>= 1.9.0),
- python3-ws4py,
+ python3-ws4py (>= 0.3.4),
  ${misc:Depends},
  ${python3:Depends},
 Description: Python library for interacting with LXD REST API

## python-pylxd 2.2.9

=== debian/changelog ===
python-pylxd (2.2.9-0ubuntu2) eoan; urgency=medium

  * Drop python2 support.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 11 Sep 2019 22:01:14 -0700

python-pylxd (2.2.9-0ubuntu1) disco; urgency=medium

  * New upstream point release.

 -- James Page <james.page@ubuntu.com>  Mon, 25 Feb 2019 13:36:37 +0000

python-pylxd (2.2.8-0ubuntu1) disco; urgency=medium

  * New upstream release for OpenStack Stein.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 30 Jan 2019 13:26:38 -0500

=== debian/control ===
Source: python-pylxd
Section: python
Priority: optional
Maintainer: Chuck Short <zulcss@ubuntu.com>
Build-Depends:
 debhelper (>= 10~),
 dh-python,
 openstack-pkg-tools (>= 23~),
 python3-all,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 python3-babel (>= 1.3),
 python3-coverage (>= 4.1),
 python3-cryptography (>= 1.0),
 python3-dateutil (>= 2.4.2),
 python3-ddt (>= 0.7.0),
 python3-hacking (>= 0.10.0),
 python3-mock (>= 1.3.0),
 python3-mock-services (>= 0.3-0ubuntu1~),
 python3-nose (>= 1.3.7),
 python3-openssl (>= 0.14),
 python3-oslosphinx (>= 2.5.0),
 python3-oslotest (>= 1:1.10.0),
 python3-pbr (>= 1.6),
 python3-requests (>= 2.5.2),
 python3-requests-mock,
 python3-requests-toolbelt (>= 0.8.0),
 python3-requests-unixsocket (>= 0.1.5),
 python3-six (>= 1.9.0),
 python3-ws4py (>= 0.3.4),
Standards-Version: 4.1.3
Homepage: http://pypi.python.org/pypi/pylxd
Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-pylxd
Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-pylxd

Package: python-pylxd-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: Python library for interacting with LXD REST API - doc
 LXD offers a REST API to remotely manage containers over the network,
 using an image based workflow and with support for live migration.
 .
 pylxd is a small Python library for interacting the with the
 LXD REST API.
 .
 This package provides the documentation.

Package: python3-pylxd
Architecture: all
Depends:
 python3-babel (>= 1.3),
 python3-cryptography (>= 1.0),
 python3-dateutil (>= 2.4.2),
 python3-openssl (>= 0.14),
 python3-pbr (>= 1.6),
 python3-requests (>= 2.5.2),
 python3-requests-toolbelt (>= 0.8.0),
 python3-requests-unixsocket (>= 0.1.5),
 python3-six (>= 1.9.0),
 python3-ws4py (>= 0.3.4),
 ${misc:Depends},
 ${python3:Depends},
Description: Python library for interacting with LXD REST API
 LXD offers a REST API to remotely manage containers over the network,
 using an image based workflow and with support for live migration.
 .
 pylxd is a small Python library for interacting the with the
 LXD REST API.
 .
 This package contains the Python 3 module.

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 
 %:
-	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild
+	dh $@ --with python3,sphinxdoc --buildsystem=pybuild
 
 override_dh_sphinxdoc:
 ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
@@ -10,5 +10,4 @@
 endif
 
 override_dh_auto_test:
-	nosetests pylxd
 	nosetests3 pylxd

## python-pylxd 2.2.10

=== requirements.txt ===
pbr>=1.6
python-dateutil>=2.4.2
six>=1.9.0
ws4py!=0.3.5,>=0.3.4  # 0.3.5 is broken for websocket support
requests>=2.20.0
requests-unixsocket>=0.1.5
requests-toolbelt>=0.8.0
cryptography!=1.3.0,>=1.0
pyOpenSSL>=0.14;python_version<='2.7.8'

=== debian/changelog ===
python-pylxd (2.2.10-4) unstable; urgency=medium

  * Switch to pybuild (Closes: #1090597).

 -- Thomas Goirand <zigo@debian.org>  Wed, 18 Dec 2024 23:27:46 +0100

python-pylxd (2.2.10-3) unstable; urgency=medium

  * Add py3.12-ssl_wrap_socket.patch (Closes: #1058269).
  * Cleans better.

 -- Thomas Goirand <zigo@debian.org>  Sun, 07 Jan 2024 11:42:20 +0100

python-pylxd (2.2.10-2) unstable; urgency=medium

  * Switch to pytest form nose (Closes: #1018563).

 -- Thomas Goirand <zigo@debian.org>  Mon, 14 Aug 2023 10:33:57 +0200

python-pylxd (2.2.10-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Standards-Version is 3.9.8 now (no change)
  * d/rules: Changed UPSTREAM_GIT protocol to https
  * d/control: Use team+openstack@tracker.debian.org as maintainer
  * Use debhelper-compat instead of debian/compat.
  * d/control: Set Vcs-* to salsa.debian.org

  [ Daniel Baumann ]
  * Updating maintainer field.
  * Running wrap-and-sort -bast.
  * Removing gbp.conf, not used anymore or should be specified in the
    developers dotfiles.
  * Deprecating priority extra as per policy 4.0.1.
  * Updating standards version to 4.1.0.

  [ Thomas Goirand ]
  * New upstream release (Closes: #914481).
  * Removed Python 2 support (Closes: #938074).
  * Drop all of debian/patches, as that's obsolete patches.

 -- Thomas Goirand <zigo@debian.org>  Sat, 14 Sep 2019 02:09:53 +0200

=== debian/control ===
Source: python-pylxd
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 11),
 dh-python,
 openstack-pkg-tools (>= 99~),
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 python3-babel,
 python3-coverage,
 python3-cryptography,
 python3-dateutil,
 python3-ddt,
 python3-hacking,
 python3-mock,
 python3-openssl,
 python3-os-testr,
 python3-oslotest,
 python3-pytest,
 python3-requests,
 python3-requests-toolbelt,
 python3-requests-unixsocket,
 python3-six,
 python3-ws4py,
Standards-Version: 4.1.0
Vcs-Browser: https://salsa.debian.org/openstack-team/python/python-pylxd
Vcs-Git: https://salsa.debian.org/openstack-team/python/python-pylxd.git
Homepage: https://github.com/lxd/pylxd

Package: python-pylxd-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: Python library for interacting with LXD REST API - doc
 LXD offers a REST API to remotely manage containers over the network,
 using an image based workflow and with support for live migration.
 .
 pylxd is a small Python library for interacting the with the
 LXD REST API.
 .
 This package provides the documentation.

Package: python3-pylxd
Architecture: all
Depends:
 python3-babel,
 python3-cryptography,
 python3-dateutil,
 python3-openssl,
 python3-pbr,
 python3-requests,
 python3-requests-toolbelt,
 python3-requests-unixsocket,
 python3-six,
 python3-ws4py,
 ${misc:Depends},
 ${python3:Depends},
Description: Python library for interacting with LXD REST API - Python 3.x
 LXD offers a REST API to remotely manage containers over the network, using an
 image based workflow and with support for live migration.
 .
 pylxd is a small Python library for interacting the with the LXD REST API.
 .
 This package contains the Python 3.x module.

=== debian/rules ===
#!/usr/bin/make -f

# export PYBUILD_TEST_ARGS_python2=cd {build_dir}; nosetests pylxd

UPSTREAM_GIT := https://github.com/lxc/pylxd.git
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=pybuild --with python3,sphinxdoc

override_dh_auto_clean:
	rm -rf build
	rm -rf .testrepository
	find .  -type d -name __pycache__ -exec rm -r {} \+
	find . -iname '*.pyc' -delete
	rm -rf .pytest_cache pylxd.egg-info

override_dh_auto_build:
	echo "Do nothing..."

override_dh_auto_install:
	pkgos-dh_auto_install --no-py2

override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=$(CURDIR) python3 -m sphinx $(SPHINXOPTS) -b html doc/source $(CURDIR)/debian/python-pylxd-doc/usr/share/doc/python-pylxd-doc/html
	dh_sphinxdoc
endif

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	set -e ; set -x ; for pyvers in $(PYTHON3S); do \
		python$$pyvers -m pytest -v pylxd/deprecated/tests ; \
	done
endif
